﻿@model PredictSat.Core.Domain.Predictions.SatPredictionInput

@{
    ViewBag.Title = "Make Prediction";
}


<h2>Make Prediction</h2>


@using (Html.BeginForm("MakePrediction", "Prediction", FormMethod.Post, new { @class = "form-horizontal", role = "form", id = "predictionForm" }))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>High School Data Inputs</h4>
        <hr />
        @Html.ValidationSummary("", new { @class = "text-danger" })

        @Html.HiddenFor(t => t.UserId, new { value = "a-b-c" })

        <div class="form-group">
            @Html.LabelFor(model => model.SchoolName, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SchoolName)
                @Html.ValidationMessageFor(model => model.SchoolName)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ForYear, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ForYear)
                @Html.ValidationMessageFor(model => model.ForYear)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.NumberTestTakers, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.NumberTestTakers)
                @Html.ValidationMessageFor(model => model.NumberTestTakers)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.PeerIndex, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.PeerIndex)
                @Html.ValidationMessageFor(model => model.PeerIndex)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.PerformanceCategoryScore, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.PerformanceCategoryScore)
                @Html.ValidationMessageFor(model => model.PerformanceCategoryScore)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.NumberOfClassesMean, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.NumberOfClassesMean)
                @Html.ValidationMessageFor(model => model.NumberOfClassesMean)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.SchoolWideTeacherPupilRation, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SchoolWideTeacherPupilRation)
                @Html.ValidationMessageFor(model => model.SchoolWideTeacherPupilRation)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.AvgClassSizeMean, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.AvgClassSizeMean)
                @Html.ValidationMessageFor(model => model.AvgClassSizeMean)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ProgressCategoryScore, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ProgressCategoryScore)
                @Html.ValidationMessageFor(model => model.ProgressCategoryScore)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.SizeOfSmallestClass, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SizeOfSmallestClass)
                @Html.ValidationMessageFor(model => model.SizeOfSmallestClass)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.TotalRegisterMean, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.TotalRegisterMean)
                @Html.ValidationMessageFor(model => model.TotalRegisterMean)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.EnviromentCategoryScore, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.EnviromentCategoryScore)
                @Html.ValidationMessageFor(model => model.EnviromentCategoryScore)
            </div>
        </div>


        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit"  value="Make Prediction" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")

    <script type="text/javascript">

       

    </script>
}
